Pre-release — content may change.

Communication preferences

Show a communication preference

GET
/communication_preferences/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

include?string

Comma-separated related resources to include (only children).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/communication_preferences/497f6eca-6276-4993-bfeb-53cbbbba6f08?include=children"
{  "data": {    "type": "communication_preferences",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "sublist_key": "string",      "description": "string",      "description_en": "string",      "description_fr": "string",      "help_text": "string",      "help_text_en": "string",      "help_text_fr": "string",      "short_label": "string",      "merge_field_name": "string",      "weight": 0,      "default": true    },    "relationships": {      "parent": {        "data": {          "type": "communication_preferences",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      },      "children": {        "data": [          {            "type": "communication_preferences",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ]      }    },    "links": {      "self": "/communication_preferences/7247ad7d-9275-454b-9e3a-0570e403739e"    },    "meta": {}  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}